Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ihr.xbrl.filters
Class XBRLTimeFilter

    java.lang.Object
      com.ihr.xbrl.filters.XBRLTimeFilter

All Implemented Interfaces:
  XBRLFacetFilter

    public class XBRLTimeFilter

extends java.lang.Object
implements XBRLFacetFilter

This is a filter over the time dimension in the context it matches if the context is inside the limits stablished by the two dates For periods. Use the period Start and period End dates. For instant. Use the same date in the two parameters Forever contexts always match

Author:
  Ignacio

Constructor Summary
`XBRLTimeFilter()` Creates an empty time filter.
`XBRLTimeFilter(java.util.GregorianCalendar dateStart, java.util.GregorianCalendar dateEnd)`

Method Summary
`java.util.GregorianCalendar` | `getDateEnd()`
`java.util.GregorianCalendar` | `getDateStart()`
`boolean` | `matches(XBRLFact fact)` Return a boolean value indicating if the fact passes the filter.
`void` | `setDateEnd(java.util.GregorianCalendar dateEnd)`
`void` | `setDateStart(java.util.GregorianCalendar dateStart)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XBRLTimeFilter

    public XBRLTimeFilter(java.util.GregorianCalendar dateStart,
                          java.util.GregorianCalendar dateEnd)

### XBRLTimeFilter

    public XBRLTimeFilter()

  Creates an empty time filter. The limits will be set later

Method Detail

### matches

    public boolean matches(XBRLFact fact)

  Description copied from interface: `XBRLFacetFilter`
  Return a boolean value indicating if the fact passes the filter. true - match false - no match

  Specified by:
    `matches` in interface `XBRLFacetFilter`
  Parameters:
    `fact` - XBRLFact to test
  Returns:
    boolean

### getDateEnd

    public java.util.GregorianCalendar getDateEnd()

  Returns:
    the dateEnd

### setDateEnd

    public void setDateEnd(java.util.GregorianCalendar dateEnd)

  Parameters:
    `dateEnd` - the dateEnd to set

### getDateStart

    public java.util.GregorianCalendar getDateStart()

  Returns:
    the dateStart

### setDateStart

    public void setDateStart(java.util.GregorianCalendar dateStart)

  Parameters:
    `dateStart` - the dateStart to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD